﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace SIDU_Linq {
	public class DAL {
		ProductbaseDataContext pbdc = new ProductbaseDataContext();
		public Product GetProductByCode(string code) {
			try {
				return pbdc.Products.Where(p => p.Code == code).Single();
			}
			catch {
				return null;
			}
		}
		public List<Product> GetAllProducts() {
			try {
				return pbdc.Products.OrderBy(p => p.Code).ToList();
			}
			catch {
				return null;
			}
		}
		public bool InsertProduct(Product product) {
			try {
				pbdc.Products.InsertOnSubmit(product);
				pbdc.SubmitChanges();
				return true;
			}
			catch {
				return false;
			}
		}
		public bool UpdateProduct(int prod_id, Product updated) {
			try {
				Product product = pbdc.Products.Where(p => p.ProductID == prod_id).Single();
				product.Name = updated.Name;
				product.Code = updated.Code;
				product.CountryOfOrigin = updated.CountryOfOrigin;
				product.OnSale = updated.OnSale;
				return true;
			}

			catch {
				return false;
			}
		}
		public bool DeleteProduct(int prod_id) {
			try {
				Product product = pbdc.Products.Where(p => p.ProductID == prod_id).Single();
				pbdc.Products.DeleteOnSubmit(product);
				pbdc.SubmitChanges();
				return true;
			}
			catch {
				return false;
			}
		}
	}
}
